Subject: Re: Last Call: <status-change-ip-versions-5-8-9-to-historic-01.txt> (Moving IP versions 5, 8, and 9 to Historic) to Historic

From: "C. M. Heard" <[email-masked]>
Date: Fri, 18 Mar 2016 08:41:10 -0700

Also, for IPv8, the status change document should reclassify RFC 1622
(which defined the IPv8 packet formats) in addition to RFC 1621 (which
defined the IPv8 architecture).  The registry should probably be updated
to reference both of those RFCs (it currently includes only RFC 1621).

Mike Heard

On Fri, 18 Mar 2016 15:55:20 +1300, Brian E Carpenter wrote:
> The registry also assigns 7 to TP/IX, which became CATNIP.
>
> So 7 also needs to be changed to Reserved and RFC1707 and RFC1475
> both need to become Historic.
>
>
http://www.iana.org/assignments/version-numbers/version-numbers.xhtml#version-numbers-1
>
>    Brian
>
> On 18/03/2016 09:13, Brian E Carpenter wrote:
>> If we are doing this, then I think that CATNIP (RFC1707) needs to be made
>> Historic at the same time, even though it didn't need an IP version
number.
>>
>> I also recall rumours that some people were actually using ST2 at one
point.
>> Are we sure that it's totally gone away?
>>
>> Regards
>>    Brian Carpenter
>>
>> On 18/03/2016 08:15, The IESG wrote:
>>>
>>> The IESG has received a request from the Internet Engineering Steering
>>> Group IETF (iesg) to consider the following document:
>>> - 'Moving IP versions 5, 8, and 9 to Historic'
>>>   <status-change-ip-versions-5-8-9-to-historic-01.txt> as Historic
>>>
>>> The IESG plans to make a decision in the next few weeks, and solicits
>>> final comments on this action. Please send substantive comments to the
>>> ietf at ietf.org mailing lists by 2016-04-14. Exceptionally, comments
may be
>>> sent to iesg at ietf.org instead. In either case, please retain the
>>> beginning of the Subject line to allow automated sorting.
>>>
>>> The file can be obtained via
>>>
https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/
>>>
>>> IESG discussion can be tracked via
>>>
https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/ballot/
>>>
>>>
>>> No IPR declarations have been submitted directly on this I-D.
>>>
>>
>

---

From: Greg Skinner <[email-masked]>
Date: Mon, 21 Mar 2016 23:40:16 +0000 (GMT)

Brian,

I won't object if others feel these RFCs ought not be reclassified as Historic.  For what it's worth, my request was based on the "has been superseded by a more recent specification" clause of section 4.2.4 of RFC 2026:

4.2.4  Historic

   A specification that has been superseded by a more recent
   specification or is for any other reason considered to be obsolete is
   assigned to the "Historic" level.  (Purists have suggested that the
   word should be "Historical"; however, at this point the use of
   "Historic" is historical.)

Are there active WGs using these RFCs as a basis for their work?  Are there active software development efforts based on these RFCs? :)

No disrespect intended to any of the authors of these RFCs or the work they did.

Greg

On Mar 21, 2016, at 03:08 PM, Brian E Carpenter <[email-masked]> wrote:

Greg,

I object to reclassifying RFC 1752 (the IPng recommendation itself). Admittedly,
it *is* a historic document in the true meaning of the word, but I don't think
its status as PS is wrong - it expresses the fact that there was rough consensus
in 1994. Just because a document is old doesn't make it obsolete.

I also don't see the point in reclassifying RFC 1550 (the IPng white paper
solicitation). It is informational today just as it was then.

I object to reclassifying RFC 1380 (the ROAD report). Again, it is informational
about the situation in 1992. Actually, I think that everybody should read it
every couple of years.

Finally I object to reclassifying RFC 1287 (the IAB/IESG "Future Internet Architecture"
paper). It's information on how things looked in 1991. Also, if issued today, it
would most likely be in the IAB document stream, so the IESG can't reclassify
it anyway.

Regards
Brian

On 22/03/2016 10:18, Greg Skinner wrote:
If it is not too late, I would like to request that RFCs 1287, 1380, 1550, and 1752 also be moved to Historic. 1287, 1380, and 1752 are referenced in the draft (1550 is referenced from 1752), and concern the replacement of IPv4 with (what would eventually become) IPv6.

Please see the following link from the sunset4 WG for more information.

https://mailarchive.ietf.org/arch/msg/sunset4/dsUpNpJsZZt4IEfS4afJKOyExnU <https://mailarchive.ietf.org/arch/msg/sunset4/dsUpNpJsZZt4IEfS4afJKOyExnU>

Greg

On Mar 17, 2016, at 12:15 PM, The IESG <[email-masked] <mailto:[email-masked]>> wrote:

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] <mailto:[email-masked]> mailing lists by 2016-04-14. Exceptionally, comments may be
sent to [email-masked] <mailto:[email-masked]> instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

The file can be obtained via
https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/ <https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/>